--- /etc/apparmor.d/torbrowser	2015-10-30 19:12:31.000000000 +0000
+++ /etc/apparmor.d/tormessenger	2015-10-30 22:23:14.723957860 +0000
@@ -1,7 +1,7 @@
 # Last modified
 #include <tunables/global>
 
-/usr/local/lib/tor-browser/firefox {
+/usr/local/lib/tor-messenger/instantbird {
   #include <abstractions/gnome>
   #include <abstractions/gstreamer>
   #include <abstractions/ibus>
@@ -38,33 +38,14 @@
   @{PROC}/[0-9]*/task/*/stat r,
   @{PROC}/sys/kernel/random/uuid r,
 
-  /usr/local/lib/tor-browser/ r,
-  /usr/local/lib/tor-browser/** r,
-  /usr/local/lib/tor-browser/*.so{,.6} mr,
-  /usr/local/lib/tor-browser/**/*.so mr,
-  /usr/local/lib/tor-browser/browser/* r,
-  /usr/local/lib/tor-browser/TorBrowser/Data/Browser/profiles.ini r,
-
-  owner "@{HOME}/Tor Browser/" rw,
-  owner "@{HOME}/Tor Browser/**" rwk,
-  owner "@{HOME}/Persistent/Tor Browser/" rw,
-  owner "@{HOME}/Persistent/Tor Browser/**" rwk,
-  owner "/live/persistence/TailsData_unlocked/Persistent/Tor Browser/" rw,
-  owner "/live/persistence/TailsData_unlocked/Persistent/Tor Browser/**" rwk,
-  owner @{HOME}/.mozilla/firefox/bookmarks/places.sqlite rwk,
-  owner /live/persistence/TailsData_unlocked/bookmarks/places.sqlite rwk,
-  owner @{HOME}/.tor-browser/profile.default/ r,
-  owner @{HOME}/.tor-browser/profile.default/** rwk,
-
-  /etc/xul-ext/ r,
-  /etc/xul-ext/** r,
-  /usr/local/share/tor-browser-extensions/ r,
-  /usr/local/share/tor-browser-extensions/** rk,
-  /usr/share/xul-ext/ r,
-  /usr/share/xul-ext/** r,
+  /usr/local/lib/tor-messenger/ r,
+  /usr/local/lib/tor-messenger/** r,
+  /usr/local/lib/tor-messenger/*.so{,.6} mr,
+  /usr/local/lib/tor-messenger/lib/*.so{,.6} mr,
+  /usr/local/lib/tor-messenger/extensions/ctypes-otr@tormessenger/chrome/content/* mr,
 
-  /usr/share/doc/tails/website/ r,
-  /usr/share/doc/tails/website/** r,
+  owner @{HOME}/.tor-messenger/profile.default/ r,
+  owner @{HOME}/.tor-messenger/profile.default/** rwk,
 
   /etc/mailcap r,
   /etc/mime.types r,
@@ -123,6 +104,4 @@
   # abstraction, which is sourced by the gnome abstraction, that we include.
   deny owner /var/tmp/**     rwklx,
   deny /var/tmp/             rwklx,
-  deny owner /tmp/**         rwklx,
-  deny /tmp/                 rwklx,
 }
